Ondemand\purchasesandrentals 2 endpoints

GET /me/ondemand/purchases/{ondemand_id}

This method determines whether the authenticated user has made a purchase or rental from the specified On Demand page.

operationId: OnDemandPurchasesAndRentals_checkUserPurchasesAndRentals

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

Responses

200

The authenticated user has made this purchase.

403

The authenticated user can’t make purchases for another user’s account.

404

No such user or On Demand page exists.

GET /me/ondemand/purchases/{ondemand_id}
GET /users/{user_id}/ondemand/purchases

This method returns every purchase and rental that the authenticated user has made across all On Demand pages.

operationId: OnDemandPurchasesAndRentals_listUserPurchasesAndRentals

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The type of the On Demand video to filter on.

Option descriptions:

  • all - Filter by all video types.
  • expiring_soon - Filter by videos that expire soon.
  • film - Filter by film.
  • important - Filter by pages that are about to expire.
  • purchased - Filter by purchased videos.
  • rented - Filter by rented videos.
  • series - Filter by series.
  • subscription - Filter by video subscription.
  • unwatched - Filter by unwatched videos.
  • watched - Filter by watched videos.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

sort query optional string

The way to sort the results.

Option descriptions:

  • added - Sort the results by most recently added video.
  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by date.
  • name - Sort the results by video name.
  • purchase_time - Sort the results by time of video purchase.
  • rating - Sort the results by content rating.
  • release_date - Sort the results by video release date.

Responses

200

The purchases and rentals were returned.

403

The authenticated user can’t get purchases and rentals for another user’s account.

GET /users/{user_id}/ondemand/purchases

Ondemand\regions 8 endpoints

DELETE /ondemand/pages/{ondemand_id}/regions

This method removes multiple regions from the specified On Demand page. The authenticated user must be the owner of the page.

operationId: OnDemandRegions_removeMultiple

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

Request Body

application/vnd.vimeo.ondemand.region+json
schema OnDemandRegionsRemoveMultipleRequest
Property Type Required
countries array optional

Responses

200

The regions were removed.

403

The authenticated user can’t remove regions from this On Demand page.

404

No such On Demand page or region exists.

DELETE /ondemand/pages/{ondemand_id}/regions
GET /ondemand/pages/{ondemand_id}/regions

This method returns every region on the specified On Demand page. The authenticated user must be the owner of the page.

operationId: OnDemandRegions_getAll

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

Responses

200

The regions were returned.

404

No such On Demand page exists.

GET /ondemand/pages/{ondemand_id}/regions
PUT /ondemand/pages/{ondemand_id}/regions

This method adds multiple regions to the specified On Demand page. The authenticated user must be the owner of the page.

operationId: OnDemandRegions_addMultiple

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

Request Body

required
application/vnd.vimeo.ondemand.region+json
schema OnDemandRegionsAddMultipleRequest
Property Type Required
countries array required

Responses

200

The list of regions was added.

403

The authenticated user can’t add regions to this On Demand page.

404

No such On Demand page or region exists.

PUT /ondemand/pages/{ondemand_id}/regions
DELETE /ondemand/pages/{ondemand_id}/regions/{country}

This method removes a single region from the specified On Demand page. The authenticated user must be the owner of the page.

operationId: OnDemandRegions_removeSpecificRegion

Parameters

Name In Required Type Description
country path required string

The country code of the region to remove.

ondemand_id path required number

The ID of the On Demand page.

Responses

204

The region was removed.

403

The authenticated user can’t remove regions from this On Demand page.

404

No such On Demand page or region exists.

DELETE /ondemand/pages/{ondemand_id}/regions/{country}
GET /ondemand/pages/{ondemand_id}/regions/{country}

This method returns a single region on the specified On Demand page. The authenticated user must be the owner of the page.

operationId: OnDemandRegions_getSpecificRegion

Parameters

Name In Required Type Description
country path required string

The country code of the region to return.

ondemand_id path required number

The ID of the On Demand page.

Responses

200

The region was returned.

404

No such On Demand page or region exists.

GET /ondemand/pages/{ondemand_id}/regions/{country}
PUT /ondemand/pages/{ondemand_id}/regions/{country}

This method adds a single region to the specified On Demand page. The authenticated user must be the owner of the page.

operationId: OnDemandRegions_addRegionToPage

Parameters

Name In Required Type Description
country path required string

The country code of the region to add.

ondemand_id path required number

The ID of the On Demand page.

Responses

201

The region was added.

403

The authenticated user can’t add regions to this On Demand page.

404

No such On Demand page or region exists.

PUT /ondemand/pages/{ondemand_id}/regions/{country}
GET /ondemand/regions

This method returns every existing On Demand region.

operationId: get_regions

Responses

200

The regions were returned.

GET /ondemand/regions
GET /ondemand/regions/{country}

This method returns a single On Demand region.

operationId: get_region

Parameters

Name In Required Type Description
country path required string

The country code of the region to return.

Responses

200

The region was returned.

404

No such region exists.

GET /ondemand/regions/{country}

Ondemand\seasons 3 endpoints

GET /ondemand/pages/{ondemand_id}/seasons

This method returns every season on the specified On Demand page.

operationId: OnDemandSeasons_listAll

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • viewable - Filter by viewable seasons.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

sort query optional string

The way to sort the results.

Option descriptions:

  • date - Sort the results by date.
  • manual - Sort the results manually.

Responses

200

The seasons were returned.

404

No such On Demand page exists.

GET /ondemand/pages/{ondemand_id}/seasons
GET /ondemand/pages/{ondemand_id}/seasons/{season_id}

This method returns a single season on the specified On Demand page.

operationId: OnDemandSeasons_specificGet

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

season_id path required number

The ID of the season.

Responses

200

The season was returned.

404

No such On Demand page or season exists.

GET /ondemand/pages/{ondemand_id}/seasons/{season_id}
GET /ondemand/pages/{ondemand_id}/seasons/{season_id}/videos

This method returns every video in the specified season on an On Demand page.

operationId: OnDemandSeasons_getAllVideosInSeason

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

season_id path required number

The ID of the season.

filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • viewable - Filter by viewable videos.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

sort query optional string

The way to sort the results.

Option descriptions:

  • date - Sort the results by date.
  • default - Use the default sorting method.
  • manual - Sort the results manually.
  • name - Sort the results by name.
  • purchase_time - Sort the results by time of purchase.
  • release_date - Sort the results by release date.

Responses

200

The videos were returned.

GET /ondemand/pages/{ondemand_id}/seasons/{season_id}/videos

Ondemand\videos 4 endpoints

GET /ondemand/pages/{ondemand_id}/videos

This method returns every video on the specified On Demand page.

operationId: OnDemandVideos_getAllVideos

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • all - Filter for all videos.
  • buy - Filter for purchased videos.
  • expiring_soon - Filter for videos that expire soon.
  • extra - Filter for extra footage videos.
  • main - Filter for main videos.
  • main.viewable - Filter for videos that are both the main video and are viewable.
  • rent - Filter for rented videos.
  • trailer - Filter for trailer videos.
  • unwatched - Filter for unwatched videos.
  • viewable - Filter for videos that are viewable.
  • watched - Filter for watched videos.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

sort query optional string

The way to sort the results.

Option descriptions:

  • date - Sort the results by date.
  • default - Use the default sorting method.
  • episode - Sort the results by episode.
  • manual - Sort the results manually.
  • name - Sort the results by name.
  • purchase_time - Sort the results by time of purchase.
  • release_date - Sort the results by release date.

Responses

200

The videos were returned.

GET /ondemand/pages/{ondemand_id}/videos
DELETE /ondemand/pages/{ondemand_id}/videos/{video_id}

This method removes a video from the specified On Demand page. The authenticated user must be the owner of the page.

operationId: OnDemandVideos_removeFromPage

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

video_id path required number

The ID of the video.

Responses

204

The video was removed.

403

The authenticated user can’t remove videos from this On Demand page.

DELETE /ondemand/pages/{ondemand_id}/videos/{video_id}
GET /ondemand/pages/{ondemand_id}/videos/{video_id}

This method returns a single video on the specified On Demand page. Use this method to determine whether the video is on the page.

operationId: OnDemandVideos_specificVideoGet

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

video_id path required number

The ID of the video.

Responses

200

The video was returned.

GET /ondemand/pages/{ondemand_id}/videos/{video_id}
PUT /ondemand/pages/{ondemand_id}/videos/{video_id}

This method adds a video to the specified On Demand page. The authenticated user must be the owner of the page.

operationId: OnDemandVideos_addVideoToPage

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

video_id path required number

The ID of the video.

Request Body

required
application/vnd.vimeo.ondemand.video+json
schema OnDemandVideosAddVideoToPageRequest
Property Type Required
buy object optional
price object optional
AUD number optional
CAD number optional
CHF number optional
DKK number optional
EUR number optional
GBP number optional
JPY number optional
KRW number optional
NOK number optional
PLN number optional
SEK number optional
USD number optional
rent object optional
price object optional
AUD number optional
CAD number optional
CHF number optional
DKK number optional
EUR number optional
GBP number optional
JPY number optional
KRW number optional
NOK number optional
PLN number optional
SEK number optional
USD number optional
type string required
position number optional
release_year number optional

Responses

200

The video was added.

400

The video can’t be added to this On Demand page.

403

The authenticated user can’t add videos to this On Demand page.

PUT /ondemand/pages/{ondemand_id}/videos/{video_id}

Payments\essentials 4 endpoints

GET /me/payment_methods

This method returns a list of all Vimeo payments service payment methods that are available to the authenticated user.

operationId: PaymentsEssentials_listPaymentMethods

Parameters

Name In Required Type Description
cardmember_name query optional string

The name of the card member.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

show_disabled query optional boolean

Whether to return disabled payment methods.

user_id query required number

The ID of the user.

Request Body

application/json
schema PaymentsEssentialsListPaymentMethodsRequest
Property Type Required
type string optional

Responses

200

The list of payments service payment methods was returned.

400

Error code 5000: A parameter is invalid.

401

Error code 8000: The authenticated user can’t make this request.

GET /me/payment_methods
DELETE /me/payment_methods/{payment_method_id}

This method deletes the specified Vimeo payments service payment method.

operationId: PaymentsEssentials_deletePaymentMethod

Parameters

Name In Required Type Description
payment_method_id path required string

The ID of the payment method.

Responses

204

The payments service payment method was deleted.

400

Error code 2204: No such payment method exists.

DELETE /me/payment_methods/{payment_method_id}
GET /me/payment_methods/{payment_method_id}

This method returns information about the specified Vimeo payments service payment method.

operationId: PaymentsEssentials_getPaymentMethodInfo

Parameters

Name In Required Type Description
payment_method_id path required string

The ID of the payment method.

Responses

200

The payments service payment method information was returned.

404

Error code 5000: No such payment method exists.

GET /me/payment_methods/{payment_method_id}
GET /users/{user_id}/subscriptions/{subscription_id}

This method returns information about the specified Vimeo payments service subscription.

operationId: PaymentsEssentials_getSubscriptionInfo

Parameters

Name In Required Type Description
subscription_id path required string

The ID of the subscription.

Responses

200

OK

GET /users/{user_id}/subscriptions/{subscription_id}

Portfolios\essentials 4 endpoints

GET /me/portfolios

This method returns every portfolio belonging to the authenticated user.

operationId: PortfoliosEssentials_getAllUserPortfolios

Parameters

Name In Required Type Description
direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by creation date.

Responses

200

The portfolios were returned.

GET /me/portfolios
GET /me/portfolios/{portfolio_id}

This method returns a single portfolio belonging to the authenticated user.

operationId: PortfoliosEssentials_getUserPortfolio

Parameters

Name In Required Type Description
portfolio_id path required number

The ID of the portfolio.

Responses

200

The portfolio was returned.

GET /me/portfolios/{portfolio_id}
GET /users/{user_id}/portfolios

This method returns every portfolio belonging to the authenticated user.

operationId: get_portfolios

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by creation date.

Responses

200

The portfolios were returned.

GET /users/{user_id}/portfolios
GET /users/{user_id}/portfolios/{portfolio_id}

This method returns a single portfolio belonging to the authenticated user.

operationId: get_portfolio

Parameters

Name In Required Type Description
portfolio_id path required number

The ID of the portfolio.

user_id path required number

The ID of the user.

Responses

200

The portfolio was returned.

GET /users/{user_id}/portfolios/{portfolio_id}

Portfolios\videos 8 endpoints

GET /me/portfolios/{portfolio_id}/videos

This method returns every video from the specified portfolio belonging to the authenticated user.

operationId: PortfoliosVideos_getAllPortfolioVideos

Parameters

Name In Required Type Description
portfolio_id path required number

The ID of the portfolio.

containing_uri query optional string

The page that contains the video URI.

filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • embeddable - Return embeddable videos.
filter_embeddable query optional boolean

Whether to filter the results by embeddable videos (true) or non-embeddable videos (false). This parameter is required only when filter is embeddable.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • comments - Sort the results by number of comments.
  • date - Sort the results by creation date.
  • default - Use the default sorting method.
  • likes - Sort the results by number of likes.
  • manual - Sort the results by their user-specified order.
  • plays - Sort the results by number of plays.

Responses

200

The videos were returned.

GET /me/portfolios/{portfolio_id}/videos
DELETE /me/portfolios/{portfolio_id}/videos/{video_id}

This method removes a video from the specified portfolio belonging to the authenticated user.

operationId: PortfoliosVideos_removeFromPortfolio

Parameters

Name In Required Type Description
portfolio_id path required number

The ID of the portfolio.

video_id path required number

The ID of the video.

Responses

204

The video was removed.

404

No such portfolio or video exists.

DELETE /me/portfolios/{portfolio_id}/videos/{video_id}
GET /me/portfolios/{portfolio_id}/videos/{video_id}

This method returns a single video from the specified portfolio belonging to the authenticated user.

operationId: PortfoliosVideos_getSpecificVideo

Parameters

Name In Required Type Description
portfolio_id path required number

The ID of the portfolio.

video_id path required number

The ID of the video.

Responses

200

The video was returned.

GET /me/portfolios/{portfolio_id}/videos/{video_id}
PUT /me/portfolios/{portfolio_id}/videos/{video_id}

This method adds a video to the specified portfolio belonging to the authenticated user.

operationId: PortfoliosVideos_putVideoToPortfolio

Parameters

Name In Required Type Description
portfolio_id path required number

The ID of the portfolio.

video_id path required number

The ID of the video.

Responses

204

The video was added.

404

No such portfolio or video exists.

PUT /me/portfolios/{portfolio_id}/videos/{video_id}
GET /users/{user_id}/portfolios/{portfolio_id}/videos

This method returns every video from the specified portfolio belonging to the authenticated user.

operationId: PortfoliosVideos_getAllPortfolioVideos

Parameters

Name In Required Type Description
portfolio_id path required number

The ID of the portfolio.

user_id path required number

The ID of the user.

containing_uri query optional string

The page that contains the video URI.

filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • embeddable - Return embeddable videos.
filter_embeddable query optional boolean

Whether to filter the results by embeddable videos (true) or non-embeddable videos (false). This parameter is required only when filter is embeddable.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • comments - Sort the results by number of comments.
  • date - Sort the results by creation date.
  • default - Use the default sorting method.
  • likes - Sort the results by number of likes.
  • manual - Sort the results by their user-specified order.
  • plays - Sort the results by number of plays.

Responses

200

The videos were returned.

GET /users/{user_id}/portfolios/{portfolio_id}/videos
DELETE /users/{user_id}/portfolios/{portfolio_id}/videos/{video_id}

This method removes a video from the specified portfolio belonging to the authenticated user.

operationId: PortfoliosVideos_removeFromPortfolioVideo

Parameters

Name In Required Type Description
portfolio_id path required number

The ID of the portfolio.

user_id path required number

The ID of the user.

video_id path required number

The ID of the video.

Responses

204

The video was removed.

404

No such portfolio or video exists.

DELETE /users/{user_id}/portfolios/{portfolio_id}/videos/{video_id}
GET /users/{user_id}/portfolios/{portfolio_id}/videos/{video_id}

This method returns a single video from the specified portfolio belonging to the authenticated user.

operationId: PortfoliosVideos_getSpecificVideo

Parameters

Name In Required Type Description
portfolio_id path required number

The ID of the portfolio.

user_id path required number

The ID of the user.

video_id path required number

The ID of the video.

Responses

200

The video was returned.

GET /users/{user_id}/portfolios/{portfolio_id}/videos/{video_id}
PUT /users/{user_id}/portfolios/{portfolio_id}/videos/{video_id}

This method adds a video to the specified portfolio belonging to the authenticated user.

operationId: PortfoliosVideos_addVideoToPortfolio

Parameters

Name In Required Type Description
portfolio_id path required number

The ID of the portfolio.

user_id path required number

The ID of the user.

video_id path required number

The ID of the video.

Responses

204

The video was added.

404

No such portfolio or video exists.

PUT /users/{user_id}/portfolios/{portfolio_id}/videos/{video_id}

Showcases\customshowcaselogos 5 endpoints

GET /users/{user_id}/albums/{album_id}/logos

This method returns every custom logo of the specified showcase. The authenticated user must be the owner of the showcase.

operationId: ShowcasesCustomShowcaseLogos_listAllCustomLogos

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

user_id path required number

The ID of the user.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

Responses

200

The custom logos were returned.

404

No such showcase exists.

GET /users/{user_id}/albums/{album_id}/logos
POST /users/{user_id}/albums/{album_id}/logos

This method adds an image file as a custom logo to the specified showcase. The authenticated user must be the owner of the showcase.

For information on how to upload the logo, see our Working with Thumbnail Uploads guide.

operationId: ShowcasesCustomShowcaseLogos_addCustomLogo

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

user_id path required number

The ID of the user.

Responses

201

The logo was added to the showcase.

403

The authenticated user can’t add custom logos to this showcase.

404

No such showcase exists.

POST /users/{user_id}/albums/{album_id}/logos
DELETE /users/{user_id}/albums/{album_id}/logos/{logo_id}

This method deletes the specified custom logo from its showcase. The authenticated user must be the owner of the showcase.

operationId: ShowcasesCustomShowcaseLogos_deleteCustomLogo

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

logo_id path required number

The ID of the custom logo.

user_id path required number

The ID of the user.

Responses

204

The custom logo was deleted.

403

The authenticated user can’t delete this custom logo.

404

No such showcase exists, or it doesn’t contain the specified custom logo.

DELETE /users/{user_id}/albums/{album_id}/logos/{logo_id}
GET /users/{user_id}/albums/{album_id}/logos/{logo_id}

This method returns a single custom logo of the specified showcase. The authenticated user must be the owner of the showcase.

operationId: ShowcasesCustomShowcaseLogos_getSpecificLogo

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

logo_id path required number

The ID of the custom logo.

user_id path required number

The ID of the user.

Responses

200

The custom logo was returned.

403

The authenticated user can’t access this custom logo.

404

No such showcase exists, or it doesn’t contain the specified custom logo.

GET /users/{user_id}/albums/{album_id}/logos/{logo_id}
PATCH /users/{user_id}/albums/{album_id}/logos/{logo_id}

This method replaces the specified custom showcase logo with a new image file. The authenticated user must be the owner of the showcase.

For information on how to upload the logo, see our Working with Thumbnail Uploads guide.

operationId: ShowcasesCustomShowcaseLogos_replaceLogo

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

logo_id path required number

The ID of the custom logo.

user_id path required number

The ID of the user.

Request Body

application/vnd.vimeo.picture+json
schema ShowcasesCustomShowcaseLogosReplaceLogoRequest
Property Type Required
active boolean optional

Responses

200

The custom logo was replaced.

403

The authenticated user can’t replace this custom logo.

404

No such showcase exists, or it doesn’t contain the specified custom logo.

PATCH /users/{user_id}/albums/{album_id}/logos/{logo_id}

Showcases\customshowcasethumbnails 5 endpoints

GET /users/{user_id}/albums/{album_id}/custom_thumbnails

This method returns every custom thumbnail of the specified showcase.

operationId: ShowcasesCustomShowcaseThumbnails_list

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

user_id path required number

The ID of the user.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

Responses

200

The custom thumbnails were returned.

403

Error code 3200: The authenticated user can’t view the custon thumbnails from this showcase.

404

No such showcase exists.

GET /users/{user_id}/albums/{album_id}/custom_thumbnails
POST /users/{user_id}/albums/{album_id}/custom_thumbnails

This method adds an uploaded image file as a custom thumbnail for the specified showcase. The image doesn’t need to be a still from a showcase video, unlike with the standard thumbnail method. The authenticated user must be the owner of the showcase.

For information on how to upload the thumbnail, see our Working with Thumbnail Uploads guide, and follow the same steps.

operationId: ShowcasesCustomShowcaseThumbnails_addCustomThumbnail

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

user_id path required number

The ID of the user.

Responses

201

The custom thumbnail was added to the showcase.

403

The authenticated user can’t add custom thumbnails to this showcase.

404

No such showcase exists.

POST /users/{user_id}/albums/{album_id}/custom_thumbnails
DELETE /users/{user_id}/albums/{album_id}/custom_thumbnails/{thumbnail_id}

This method deletes the specified custom thumbnail from its showcase. The authenticated user must be the owner of the showcase.

operationId: ShowcasesCustomShowcaseThumbnails_deleteCustomThumbnail

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

thumbnail_id path required number

The ID of the custom thumbnail.

user_id path required number

The ID of the user.

Responses

204

The custom thumbnail was deleted.

403

The authenticated user can’t delete this custom thumbnail.

404

No such showcase exists, or it doesn’t contain the specified custom thumbnail.

DELETE /users/{user_id}/albums/{album_id}/custom_thumbnails/{thumbnail_id}
GET /users/{user_id}/albums/{album_id}/custom_thumbnails/{thumbnail_id}

This method returns a single custom thumbnail of the specified showcase. The authenticated user must be the owner of the showcase.

operationId: ShowcasesCustomShowcaseThumbnails_getSpecificThumbnail

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

thumbnail_id path required number

The ID of the custom thumbnail.

user_id path required number

The ID of the user.

Responses

200

The custom thumbnail was returned.

403

The authenticated user can’t view this custom thumbnail.

404

No such showcase exists, or it doesn’t contain the specified custom thumbnail.

GET /users/{user_id}/albums/{album_id}/custom_thumbnails/{thumbnail_id}
PATCH /users/{user_id}/albums/{album_id}/custom_thumbnails/{thumbnail_id}

This method replaces the specified custom showcase thumbnail with a new image file. The authenticated user must be the owner of the showcase.

For information on how to upload the thumbnail, see our Working with Thumbnail Uploads guide.

operationId: ShowcasesCustomShowcaseThumbnails_replaceCustomThumbnail

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

thumbnail_id path required number

The ID of the custom thumbnail.

user_id path required number

The ID of the user.

Request Body

application/vnd.vimeo.picture+json
schema ShowcasesCustomShowcaseThumbnailsReplaceCustomThumbnailRequest
Property Type Required
active boolean optional

Responses

200

The custom thumbnail was replaced.

403

The authenticated user can’t replace this custom thumbnail.

404

No such showcase exists, or it doesn’t contain the specified custom thumbnail.

PATCH /users/{user_id}/albums/{album_id}/custom_thumbnails/{thumbnail_id}

Showcases\essentials 7 endpoints

GET /me/albums

This method returns every showcase belonging to the authenticated user.

operationId: ShowcasesEssentials_getAllUserShowcases

Parameters

Name In Required Type Description
direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by date of creation.
  • duration - Sort the results by duration.
  • videos - Sort the results by the number of videos.

Responses

200

The showcases were returned.

400

A parameter is invalid.

GET /me/albums
POST /me/albums

This method creates a new showcase for the specified user.

operationId: ShowcasesEssentials_createUserShowcase

Request Body

required
application/vnd.vimeo.album+json
schema ShowcasesEssentialsCreateUserShowcaseRequest
Property Type Required
name string required
sort string optional
theme string optional
layout string optional
privacy string optional
hide_nav boolean optional
password string optional
brand_color string optional
description string optional
review_mode boolean optional
hide_upcoming boolean optional
hide_from_vimeo boolean optional

Responses

201

The showcase was created.

400

A parameter is invalid.

403

The supplied token doesn’t have the proper scopes, or the authenticated user can’t create showcases.

POST /me/albums
DELETE /me/albums/{album_id}

This method deletes the specified showcase. The authenticated user must be the owner of the showcase.

operationId: ShowcasesEssentials_deleteShowcase

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

Responses

204

The showcase was deleted.

403

The supplied token doesn’t have the proper scopes, or the authenticated user can’t delete the showcase.

404

No such showcase exists.

DELETE /me/albums/{album_id}
GET /me/albums/{album_id}

This method returns the specified showcase. The authenticated user must be the owner of the showcase.

operationId: ShowcasesEssentials_getSpecificShowcase

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

Responses

200

The showcase was returned.

404

No such showcase exists.

GET /me/albums/{album_id}
PATCH /me/albums/{album_id}

This method edits the specified showcase. The authenticated user must be the owner of the showcase.

operationId: ShowcasesEssentials_editShowcase

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

Request Body

application/vnd.vimeo.album+json
schema ShowcasesEssentialsEditShowcaseRequest
Property Type Required
url string optional
name string optional
sort string optional
theme string optional
domain string optional
layout string optional
privacy string optional
hide_nav boolean optional
password string optional
brand_color string optional
description string optional
review_mode boolean optional
hide_upcoming boolean optional
use_custom_domain boolean optional

Responses

200

The showcase was edited.

400

A parameter is invalid.

403

The authenticated user doesn’t own the showcase, the supplied token doesn’t have the proper scopes, or the authenticated user can’t edit the showcase.

404

No such showcase exists.

PATCH /me/albums/{album_id}
GET /users/{user_id}/albums

This method returns every showcase belonging to the authenticated user.

operationId: get_showcases

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by date of creation.
  • duration - Sort the results by duration.
  • videos - Sort the results by the number of videos.

Responses

200

The showcases were returned.

400

A parameter is invalid.

GET /users/{user_id}/albums
PATCH /users/{user_id}/albums

This method adds videos and events to the specified showcases. The authenticated user must either be the owner of the showcase or have team permissions.

The present setup permits only one event per showcase.

operationId: update_showcases

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

album_item_uris query required string

A comma-separated list of video or event URIs.

album_uris query required string

A comma-separated list of showcase URIs.

Responses

204

The videos and events were added to the showcases.

PATCH /users/{user_id}/albums
Load more endpoints